Bug 375751 - Config file not mentioned in manual, nor is the config file generated after installing
Config file not mentioned in manual, nor is the config file generated after i...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 06:14 EST by Gijs
Modified: 2008-11-26 12:36 EST (History)
2 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:36:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gijs 2007-11-11 06:14:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.8.1.9) Gecko/20071025 Firefox/2.0.0.9

Description of problem:
I had added a module to the initrd, using the --preload option. However, after updating my kernel, the module did not get added to the initrd again.

After some searching I found that there was a file in Debian, that would let you specify which modules to add to the initrd. In the future, kernel updates would insert the module(s) specified in this config file as well.

Now I could not find anything like that in Fedora. After asking around on the Fedora mailing list, someone else found the file (referenced inside the mkinitrd script) /etc/sysconfig/mkinitrd. There you could define, which modules to add.

The config file "/etc/sysconfig/mkinitrd" should be present after installing mkinitrd, preferably documented. And also, this file should be mentioned in the manual page of mkinitrd, explaining what kind of options can be present inside the file, etc.

This file is not present in the latest version of mkinitrd on F8 either (6.0.19-4), nor is it mentioned in the manual.

Version-Release number of selected component (if applicable):
mkinitrd-5.1.19.0.3-1

How reproducible:
Always


Steps to Reproduce:
1. Install mkinitrd

Actual Results:


Expected Results:


Additional info:
Comment 1 Bug Zapper 2008-05-14 11:02:13 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andy Lindeberg 2008-07-14 16:26:23 EDT
Is the missing file present in F9?
Comment 3 Gijs 2008-07-15 03:11:00 EDT
I'm running version mkinitrd-6.0.52-2.fc9.i386 on my laptop, and I can't find
the file there either. So nope, the file isn't present in FC9 either.
Comment 4 Bug Zapper 2008-11-26 03:18:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jon Stanley 2008-11-26 12:36:51 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.